<?php
require_once __DIR__ . '/../../connect.php';
$driverID = filterRequest("driverID");

$sql = "SELECT
    paymentsDriverPoints.`id`,
    paymentsDriverPoints.amount,
    paymentsDriverPoints.created_at
FROM
    `paymentsDriverPoints`
WHERE
    paymentsDriverPoints.driverID = '$driverID' AND paymentsDriverPoints.created_at >= DATE_SUB(NOW(), INTERVAL 1 MONTH)
ORDER BY
    `paymentsDriverPoints`.`id`
DESC";
$stmt = $con->prepare($sql);
$stmt->execute();

if ($stmt->rowCount() > 0) {
    // Fetch the record
    $row = $stmt->fetchAll(PDO::FETCH_ASSOC);

    jsonSuccess($row);
    
}
    else{
    // Print a failure message
    jsonError($message = "No wallet record found");
}
?>